import { SyntaxValidationError } from './dto/syntax-error.dto';
export declare class SyntaxValidationService {
    private readonly logger;
    private parserCache;
    private readonly grammarMap;
    private readonly grammarDir;
    validate(filePath: string, content: string): Promise<SyntaxValidationError | null>;
    private getParser;
    private collectSyntaxErrors;
    formatErrors(validationError: SyntaxValidationError): string;
    clearCache(): void;
}
